<template>
    <div class="app-container">
        <div>
            <Titlename title="设置页面"></Titlename>
            <div class="whole-form">
                <el-form :model="ruleForm" :rules="rules" ref="ruleForm" label-width="80px" class="demo-ruleForm"
                         style="margin: 0 5% 0 5%;">
                    <el-row>
                        <el-col :span="6">
                            <el-form-item label="名称" prop="number">
                                <el-input v-model="ruleForm.number" :disabled="true"></el-input>
                            </el-form-item>
                        </el-col>
                    </el-row>
                    <el-checkbox-group v-model="checkList">
                        <el-checkbox label="复选框 A">
                            <el-form-item label="检查时间" prop="check_man">
                                <el-radio-group v-model="ruleForm.radio">
                                    <el-radio :label="1">一个月</el-radio>
                                    <el-radio :label="2">两个月</el-radio>
                                    <el-radio :label="3">三个月</el-radio>
                                </el-radio-group>
                            </el-form-item>
                        </el-checkbox>
                        <el-checkbox>
                            <el-form-item class="select" label="检查单位" prop="acc_man">
                                <el-select v-model="ruleForm.region" placeholder="请选择">
                                    <el-option label="众泰煤焦化" value="shanghai"></el-option>
                                    <el-option label="上级单位" value="beijing"></el-option>
                                </el-select>
                                <el-select v-model="ruleForm.region" placeholder="请选择">
                                    <el-option label="安全环保部" value="shanghai"></el-option>
                                    <el-option label="机电部" value="beijing"></el-option>
                                </el-select>
                            </el-form-item>
                        </el-checkbox>
                        <el-checkbox>
                            <el-form-item label="检查人" prop="number">
                                <el-input v-model="ruleForm.number" :disabled="true"></el-input>
                            </el-form-item>
                        </el-checkbox>
                        <el-checkbox>
                            <el-form-item label="隐患类别" prop="acc_man">
                                <el-select v-model="ruleForm.region" placeholder="请选择">
                                    <el-option label="生产" value="shanghai"></el-option>
                                    <el-option label="设备" value="beijing"></el-option>
                                    <el-option label="电气" value="shanghai"></el-option>
                                    <el-option label="仪表" value="beijing"></el-option>
                                    <el-option label="安全管理" value="shanghai"></el-option>
                                    <el-option label="其他" value="beijing"></el-option>
                                </el-select>
                            </el-form-item>
                        </el-checkbox>
                        <el-checkbox label="复选框 A">
                            <el-form-item label="隐患级别" prop="acc_man">
                                <el-select v-model="ruleForm.region" placeholder="请选择">
                                    <el-option label="一般隐患D" value="shanghai"></el-option>
                                    <el-option label="一般隐患C" value="beijing"></el-option>
                                    <el-option label="重大隐患B" value="shanghai"></el-option>
                                    <el-option label="重大隐患A" value="beijing"></el-option>
                                </el-select>
                            </el-form-item>
                        </el-checkbox>
                        <el-checkbox>
                            <el-form-item class="select" label="检查类别" prop="acc_man">
                                <el-select v-model="ruleForm.region" placeholder="请选择">
                                    <el-option label="众泰煤焦化" value="shanghai"></el-option>
                                    <el-option label="上级单位" value="beijing"></el-option>
                                </el-select>
                            </el-form-item>
                        </el-checkbox>
                        <el-checkbox label="重复隐患" class="checkbox">
                        </el-checkbox>
                    </el-checkbox-group>
                    <el-checkbox-group v-model="checkList1">
                        <el-checkbox>
                            <el-form-item label="限改时间" prop="check_man">
                                <el-radio-group v-model="ruleForm.radio">
                                    <el-radio :label="4">即将到期</el-radio>
                                    <el-radio :label="5">到期未整改</el-radio>
                                    <el-radio :label="6">超期整改</el-radio>
                                </el-radio-group>
                            </el-form-item>
                        </el-checkbox>
                    </el-checkbox-group>
                    <el-row>
                        <el-col :span="22">
                            <el-form-item label="备注" prop="address">
                                <el-input type="textarea" v-model="ruleForm.address" class="multiline" :disabled="true"></el-input>
                            </el-form-item>
                        </el-col>
                    </el-row>
                    <el-row>
                        <el-col :span="22">
                            <el-form-item style="text-align: center;">
                                <el-button  class="btn" size="small" type="primary" @click="close()"
                                >保存</el-button>
                                <el-button  class="btn" size="small" type="primary" @click="close()"
                                >关闭</el-button>
                            </el-form-item>
                        </el-col>
                    </el-row>
                </el-form>
            </div>
        </div>

    </div>
</template>

<script>
import Titlename from "../../components/Titlename/index.vue";
import {getDangerInfo,next_step_do} from '@/api/sgyhpczl/hiddenDangerRegistration'
import {deepClone} from '@/utils'

export default {
    name: "managementConcerns",
    components: {Titlename},
    data() {
        return {
            id:'',
            ruleForm: {
                radio:3
            },
            rules: {
                reviewTime: { required: true, message: '请填写复查时间', trigger: 'blur' },
                rechecker: { required: true, message: '请填写复查人', trigger: 'blur' },
                reviewResults: { required: true, message: '请填写复查结果', trigger: 'blur' },
                desc1: { required: true, message: '复查不通过时请在备注说明原因！', trigger: 'blur' },
            },
            fileList: [],
            checkList: [],
            checkList1:[]
        };
    },
    mounted(){
        this.id = this.$route.query.id;
        if( this.id!=null &&  this.id!=''){
            this.initInfo();
        }
    },
    methods: {
        async initInfo(){
            var res=await getDangerInfo(this.id)
            if (res.data.ok==1){
                this.ruleForm=res.data.data
                this.ruleForm.next='发送到'+res.data.data.ht_community+res.data.data.ht_branch

            }
        },
        handleRemove(file, fileList) {
            console.log(file, fileList);
        },
        handlePreview(file) {
            console.log(file);
        },
        beforeUpload(file) {
            var FileExt = file.name.replace(/.+\./, "");
            if (['jpg','png','bmp','gif','jpeg'].indexOf(FileExt.toLowerCase()) === -1){
                this.$message({
                    type: 'warning',
                    message: '请上传后缀名为jpg、png、bmp、gif、jpeg的图片！'
                });
                return false;
            }
        },
        close(){
            this.$router.push({
                path:"/hiddenDangerRegistration"
            })
        }
    }
}
</script>

<style scoped>
.app-container {
    padding: 20px;
    height: 850px;
    overflow-y: auto;
}

/deep/ .box {
    padding-top: 0;
}

/deep/ .multiline .el-input__inner {
    height: 62px;
}
/deep/ .textarea .el-textarea__inner{
    height: 80px;
    max-height: 80px;
    overflow-y: auto
}
/deep/ .textarea2 .el-textarea__inner{
    height: 100px;
    max-height: 100px;
    overflow-y: auto
}
/deep/ .el-checkbox-group{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
}
/deep/ .el-checkbox{
    width: 25%;
    margin-right: 0;
    padding-right: 10px;
}
/deep/ .el-checkbox__label{
    padding-left: 0;
}
/deep/ .el-checkbox__input{
    top: 11px;
    left: -5px;
    position: absolute;
}
.checkbox{
    margin-bottom: 22px;
}
.checkbox /deep/ .el-checkbox__input{
    top: 2px;
    left: -5px;
    position: absolute;
}
.checkbox /deep/ .el-checkbox__label{
    padding-left: 25px;
}
 /deep/ .el-input__inner{
    width: 130px;
}
/deep/.el-radio{
    margin-right: 20px;
}
.btn{
    background-color: #034ea2;
    border: 1px solid #034ea2;
}
</style>
